Package org.stianloader.micromixin.transform.internal.annotation

## Class MixinSliceAnnotation

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.annotation.MixinSliceAnnotation

    public class MixinSliceAnnotation
    extends java.lang.Object

### Field Summary

Fields
`MixinAtAnnotation` `from`
`java.lang.String` `id`
`MixinAtAnnotation` `to`

### Constructor Summary

Constructors
`MixinSliceAnnotation​(java.lang.String id, MixinAtAnnotation from, MixinAtAnnotation to)`

### Method Summary

All Methods Static Methods Concrete Methods
`static MixinSliceAnnotation` `parse​(org.objectweb.asm.tree.ClassNode mixinSource, org.objectweb.asm.tree.AnnotationNode sliceNode, InjectionPointSelectorFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    @NotNull
    public final java.lang.String id

#### from

    @NotNull
    public final MixinAtAnnotation from

#### to

    @NotNull
    public final MixinAtAnnotation to

### Constructor Detail

#### MixinSliceAnnotation

    public MixinSliceAnnotation​(@NotNull
                                java.lang.String id,
                                @NotNull
                                MixinAtAnnotation from,
                                @NotNull
                                MixinAtAnnotation to)

### Method Detail

#### parse

    @NotNull
    public static MixinSliceAnnotation parse​(@NotNull
                                             org.objectweb.asm.tree.ClassNode mixinSource,
                                             @NotNull
                                             org.objectweb.asm.tree.AnnotationNode sliceNode,
                                             @NotNull
                                             InjectionPointSelectorFactory factory)
                                      throws MixinParseException

Throws:
  `MixinParseException`